﻿using System;
using System.Linq;
using System.Windows;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.UnityExtensions;
using Shell.Views;

namespace Shell
{
	class Bootstrapper : UnityBootstrapper
	{
		protected override void InitializeShell()
		{
			base.InitializeShell();
			Application.Current.MainWindow = new ShellView();
			Application.Current.MainWindow.Show();
		}

		protected override System.Windows.DependencyObject CreateShell()
		{
			return this.Container.TryResolve<ShellView>();
		}

		protected override Microsoft.Practices.Prism.Modularity.IModuleCatalog CreateModuleCatalog()
		{
			base.CreateModuleCatalog();

			ModuleCatalog catalog = new ModuleCatalog();
			catalog.AddModule(typeof(Module1.Module1));
			catalog.AddModule(typeof(Module2.Module2));
			catalog.AddModule(typeof(Module3.Module3));
			return catalog;
		}
	}
}
